> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.shipbob.com/llms.txt.
> For full documentation content, see https://developer.shipbob.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.shipbob.com/_mcp/server.

# Upgrade to 2026-01

> Migration guide for upgrading from version 2025-07 to 2026-01

### 1. New Endpoints Introduced

**Inventory:**

* `POST /inventory/history:query` – Fetches inventory movement events that change on-hand quantities within the ShipBob network. Returns events such as receiving/stow, order picks, adjustments, restocks, and attribute updates.

### 2. Query/Header Param Updates

| Endpoint           | Removed                       | Added / Replaced |
| ------------------ | ----------------------------- | ---------------- |
| `PUT /return/{id}` | `shipbob_channel_id` (header) | -                |

### 3. Request Body Changes

`PUT /return/{id}`

* Added request fields:
  * `inventory[].lot_date`
  * `inventory[].lot_number`

### 4. Response Body Changes

`GET /order` (200)

* Removed field: `[].shipments[].store_order_id`

`POST /order` (201)

* Removed field: `shipments[].store_order_id`

`GET /order/{orderId}` (200)

* Removed field: `shipments[].store_order_id`

`POST /order/{orderId}:cancel` (200)

* Removed field: `order.shipments[].store_order_id`

`PUT /return/{id}`

* Response code removed: `400`
* (200) Added field: `inventory[].action_taken[].image_url`
* (422) Added fields: `details`, `errors[]`, `message`, `stackTrace`
* (422) Removed fields: `detail`, `extensions`, `instance`, `status`, `title`, `type`

***

## Support

If you have questions, please email our Developer Support Team at [support@shipbob.com](mailto:support@shipbob.com). This will create a ticket with a 1-business day first response time.